package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.dto.ItemDTO;
import com.dayou.entity.Item;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ItemStatVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 项目信息表 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
public interface ItemMapper extends CustomBaseMapper<Item> {

    ItemStatVO stat();

    ItemDTO xDetail(@Param("id") Long id);

    Page<Item> getPage(Page page, @Param("item") Item item, @Param("userId") Long userId);
}
